Bug 210643 - frysk? Was: [RHEL3] gcore failed with thread creating process
frysk? Was: [RHEL3] gcore failed with thread creating process
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Muldoon
Len DiMaggio
bzcl34nup
:
Depends On: 210642
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-13 10:56 EDT by Andrew Cagney
Modified: 2008-04-09 16:52 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 16:52:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modified vfork_hung file that uses fcore instead of gcore. (1.66 KB, text/x-c++src)
2006-12-15 14:48 EST, Nurdin Premji
no flags Details

  None (edit)
Comment 1 Nurdin Premji 2006-12-15 14:48:03 EST
Created attachment 143806 [details]
modified vfork_hung file that uses fcore instead of gcore.

Reproducing steps.

1. gcc -lstdc++ -lpthread -o vfork_hung 1159875526-vfork_hung.cpp 
2. ./vfork_hung

Works on fc6
Comment 2 Nurdin Premji 2007-02-16 16:09:51 EST
Phil, haven't looked at this in a long time, as I recall it creates the core
file, just have to ensure that the core file is valid.
Comment 3 Bug Zapper 2008-04-03 14:29:12 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Mark Wielaard 2008-04-09 16:52:34 EDT
As mentioned in comment #2 this works. Just verified that the core file produced
by fcore seems fine (when loaded into gdb).

Note You need to log in before you can comment on or make changes to this bug.